Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.coverbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Export Report

method
GET
GET /v1/export/{report_name}
Retrieves the data for the specified report.

Path parameters

report_name
string
required
The unique identifier of the report.

Query parameters

limit
integer
The maximum number of JSON objects to return in the data array.
offset
integer
The number of records to skip before starting to return data.

Example request

curl -X GET "https://api.coverbase.app/v1/export/vendor-custom-report?limit=10&offset=20" \
  -H "Authorization: Bearer <api-key>" \
  -H "Content-Type: application/json"

Example response

{
  "id": "cbexprt_a13361e835664c26bb0551a860258f6d",
  "slug": "vendor-custom-report",
  "report_name": "Vendor Report",
  "base_object": "vendor",
  "mapping": {
    "id": "Id",
    "name": "Name",
    "status": "Status",
    "website": "Website",
    "products": "Products",
    "created_at": "Created At",
    "description": "Description",
    "hq_location": "Hq Location"
  },
  "data": [
    {
      "Id": "cbvndr_0de9333fece3493eb3987b1a1af28119",
      "Name": "1Password",
      "Status": "Active",
      "Website": "1password.com",
      "Products": [],
      "Created At": 1731132522,
      "Description": "1Password provides secure password management solutions for individuals and businesses.",
      "Hq Location": "Toronto, Ontario, Canada"
    }
  ],
  "limit": 10,
  "offset": 20,
  "total_count": 157
}

Response fields

id
string
Unique Coverbase export report ID.
slug
string
Unique string used in the API endpoint URL.
report_name
string
Display name for the report.
base_object
string
The object each record in data represents (for example, vendor or assessment).
mapping
object
Mapping between Coverbase field names and the field names exported in the JSON objects.
data
array
Array of JSON objects. Each object represents one base_object and contains field names specified by the values in the mapping object.
limit
integer
The maximum length of the data array.
offset
integer
The number of records skipped before the system began returning records.
total_count
integer
Total number of base objects in Coverbase.
Need help? Email support@coverbase.ai.